Bug 1570940 - [Deployment][TLS] neutron-server-opendaylight container based off wrong container image
Summary: [Deployment][TLS] neutron-server-opendaylight container based off wrong conta...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-containers
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: beta
: 13.0 (Queens)
Assignee: Jon Schlueter
QA Contact: Omri Hochman
Andrew Burden
URL:
Whiteboard: odl_deployment, odl_tls
Depends On:
Blocks: 1488826
TreeView+ depends on / blocked
 
Reported: 2018-04-23 19:18 UTC by Tim Rozet
Modified: 2018-10-18 07:25 UTC (History)
8 users (show)

Fixed In Version: openstack-neutron-server-opendaylight-container-13.0-23
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
N/A
Last Closed: 2018-06-28 08:00:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:2085 0 None None None 2018-06-28 08:01:13 UTC

Description Tim Rozet 2018-04-23 19:18:43 UTC
Description of problem:
The neutron-server-opendaylight container is based off "neutron-base" docker image instead of "neutron-server" container image.  This causes one or more packages to be missing, including httpd.  This causes SSL/TLS deployments to fail when httpd is attempted to be configured.  Somehow with regular deployments there are no failures and neutron-server starts.  Not sure how this is possible without httpd.  Going to investigate that further.

Comment 1 Tim Rozet 2018-04-23 19:20:21 UTC
Failure with SSL/TLS deployment:
"Error: Could not set 'file' on ensure: No such file or directory - /etc/httpd/conf.modules.d/mime.conf20180422-12-1dfsjky.lock at /etc/puppet/modules/apache/manifests/mod/mime.pp:10",
            "Wrapped exception:",
            "No such file or directory - /etc/httpd/conf.modules.d/mime.conf20180422-12-1dfsjky.lock",
            "Error: /Stage[main]/Apache::Mod::Mime/File[mime.conf]/ensure: change from absent to file failed: Could not set 'file' on ensure: No such file or directory - /etc/httpd/conf.modules.d/mime.conf20180422-12-1dfsjky.lock at /etc/puppet/modules/apache/manifests/mod/mime.pp:10",

Comment 2 Tim Rozet 2018-04-23 20:04:56 UTC
After some more investigation this only fails in SSL/TLS because paste server is still used for neutron-server, and httpd is only used for TLS proxy:

https://github.com/openstack/tripleo-heat-templates/blob/master/docker/services/neutron-api.yaml#L113

https://github.com/openstack/tripleo-heat-templates/blob/master/docker/services/neutron-api.yaml#L125

Now the question is, is this correct? I thought services were supposed to move to httpd.  Nova and other services are running as part of httpd, but neutron-server (and possibly other neutron agents) are still starting as paste.  Brent can you answer this for us?

Comment 5 Itzik Brown 2018-05-03 08:42:17 UTC
Checked with:
openstack-neutron-server-opendaylight:2018-05-01.6

Comment 8 errata-xmlrpc 2018-06-28 08:00:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2085


Note You need to log in before you can comment on or make changes to this bug.